<div class='map-controls' {{did-insert this.watchRotation}}>
  <div class='btn-group-vertical btn-group-zoom'>
    {{yield}}

    {{#if @onFitGeometry}}
      <button
        type='button'
        class='btn btn-success btn-fit-geometry mb-3'
        {{on 'click' @onFitGeometry}}
        title='Fit Geometry'
      >
        <FaIcon @icon='search-location' />
      </button>
    {{/if}}

    {{#if this.showRotation}}
      <button
        type='button'
        class='btn btn-sm btn-success btn-rotation mb-3'
        {{on 'click' this.resetRotation}}
        title='Rotation'
      >
        <div class='arrow-rotation' style={{this.arrowRotation}}>
          <FaIcon @icon='long-arrow-alt-up' />
        </div>
      </button>
    {{/if}}

    {{#if @onLocalize}}
      <button
        type='button'
        class='btn btn-sm
          {{if this.localizationError "btn-danger" "btn-success"}}
          mb-3 btn-localize'
        data-placement='left'
        {{on 'click' this.handleLocalize}}
        title='Localize'
      >
        {{#if this.localizationWaiting}}
          <FaIcon @icon='sync' @spin='true' />
        {{else}}
          <FaIcon @icon='crosshairs' />
        {{/if}}
      </button>
    {{/if}}

    {{#unless @disableZoom}}
      <button
        type='button'
        class='btn btn-sm btn-success btn-zoom-in'
        data-placement='left'
        {{on 'click' this.zoomIn}}
        title='Zoom In'
        disabled={{@disableZoomIn}}
      >
        <FaIcon @icon='plus' />
      </button>

      <button
        type='button'
        class='btn btn-sm btn-success btn-zoom-out'
        data-placement='left'
        {{on 'click' this.zoomOut}}
        title='Zoom Out'
        disabled={{@disableZoomOut}}
      >
        <FaIcon @icon='minus' />
      </button>
    {{/unless}}
  </div>
</div>